NOPLogger (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.helpers
Class NOPLogger

    java.lang.Object
      org.slf4j.helpers.MarkerIgnoringBase
          org.slf4j.helpers.NOPLogger

All Implemented Interfaces:
  Serializable, Logger

    public class NOPLogger

extends MarkerIgnoringBase

A direct NOP (no operation) implementation of `Logger`.

Author:
  Ceki Gülcü
See Also:
  Serialized Form

Field Summary
`protected String` | `name`
`static NOPLogger` | `NOP_LOGGER` The unique instance of NOPLogger.

Fields inherited from interface org.slf4j.Logger
`ROOT_LOGGER_NAME`

Constructor Summary
`protected` | `NOPLogger()` There is no point in creating multiple instances of NOPLOgger, except by derived classes, hence the protected access for the constructor.

Method Summary
`void` | `debug(String msg)` A NOP implementation.
`void` | `debug(String format, Object... argArray)` A NOP implementation.
`void` | `debug(String format, Object arg)` A NOP implementation.
`void` | `debug(String format, Object arg1, Object arg2)` A NOP implementation.
`void` | `debug(String msg, Throwable t)` A NOP implementation.
`void` | `error(String msg)` A NOP implementation.
`void` | `error(String format, Object... argArray)` A NOP implementation.
`void` | `error(String format, Object arg1)` A NOP implementation.
`void` | `error(String format, Object arg1, Object arg2)` A NOP implementation.
`void` | `error(String msg, Throwable t)` A NOP implementation.
`String` | `getName()` Always returns the string value "NOP".
`void` | `info(String msg)` A NOP implementation.
`void` | `info(String format, Object... argArray)` A NOP implementation.
`void` | `info(String format, Object arg1)` A NOP implementation.
`void` | `info(String format, Object arg1, Object arg2)` A NOP implementation.
`void` | `info(String msg, Throwable t)` A NOP implementation.
`boolean` | `isDebugEnabled()` Always returns false.
`boolean` | `isErrorEnabled()` A NOP implementation.
`boolean` | `isInfoEnabled()` Always returns false.
`boolean` | `isTraceEnabled()` Always returns false.
`boolean` | `isWarnEnabled()` Always returns false.
`protected Object` | `readResolve()` Replace this instance with a homonymous (same name) logger returned by LoggerFactory.
`void` | `trace(String msg)` A NOP implementation.
`void` | `trace(String format, Object... argArray)` A NOP implementation.
`void` | `trace(String format, Object arg)` A NOP implementation.
`void` | `trace(String format, Object arg1, Object arg2)` A NOP implementation.
`void` | `trace(String msg, Throwable t)` A NOP implementation.
`void` | `warn(String msg)` A NOP implementation.
`void` | `warn(String format, Object... argArray)` A NOP implementation.
`void` | `warn(String format, Object arg1)` A NOP implementation.
`void` | `warn(String format, Object arg1, Object arg2)` A NOP implementation.
`void` | `warn(String msg, Throwable t)` A NOP implementation.

Methods inherited from class org.slf4j.helpers.MarkerIgnoringBase
`debug, debug, debug, debug, debug, error, error, error, error, error, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, toString, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOP_LOGGER

    public static final NOPLogger NOP_LOGGER

  The unique instance of NOPLogger.

### name

    protected String name

Constructor Detail

### NOPLogger

    protected NOPLogger()

  There is no point in creating multiple instances of NOPLOgger, except by derived classes, hence the protected access for the constructor.

Method Detail

### getName

    public String getName()

  Always returns the string value "NOP".

  Specified by:
    `getName` in interface `Logger`
  Returns:
    name of this logger instance

### isTraceEnabled

    public final boolean isTraceEnabled()

  Always returns false.

  Returns:
    always false

### trace

    public final void trace(String msg)

  A NOP implementation.

  Parameters:
    `msg` - the message string to be logged

### trace

    public final void trace(String format,
                            Object arg)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg` - the argument

### trace

    public final void trace(String format,
                            Object arg1,
                            Object arg2)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the first argument
    `arg2` - the second argument

### trace

    public final void trace(String format,
                            Object... argArray)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `argArray` - a list of 3 or more arguments

### trace

    public final void trace(String msg,
                            Throwable t)

  A NOP implementation.

  Parameters:
    `msg` - the message accompanying the exception
    `t` - the exception (throwable) to log

### isDebugEnabled

    public final boolean isDebugEnabled()

  Always returns false.

  Returns:
    always false

### debug

    public final void debug(String msg)

  A NOP implementation.

  Parameters:
    `msg` - the message string to be logged

### debug

    public final void debug(String format,
                            Object arg)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg` - the argument

### debug

    public final void debug(String format,
                            Object arg1,
                            Object arg2)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the first argument
    `arg2` - the second argument

### debug

    public final void debug(String format,
                            Object... argArray)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `argArray` - a list of 3 or more arguments

### debug

    public final void debug(String msg,
                            Throwable t)

  A NOP implementation.

  Parameters:
    `msg` - the message accompanying the exception
    `t` - the exception (throwable) to log

### isInfoEnabled

    public final boolean isInfoEnabled()

  Always returns false.

  Returns:
    always false

### info

    public final void info(String msg)

  A NOP implementation.

  Parameters:
    `msg` - the message string to be logged

### info

    public final void info(String format,
                           Object arg1)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the argument

### info

    public final void info(String format,
                           Object arg1,
                           Object arg2)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the first argument
    `arg2` - the second argument

### info

    public final void info(String format,
                           Object... argArray)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `argArray` - a list of 3 or more arguments

### info

    public final void info(String msg,
                           Throwable t)

  A NOP implementation.

  Parameters:
    `msg` - the message accompanying the exception
    `t` - the exception (throwable) to log

### isWarnEnabled

    public final boolean isWarnEnabled()

  Always returns false.

  Returns:
    always false

### warn

    public final void warn(String msg)

  A NOP implementation.

  Parameters:
    `msg` - the message string to be logged

### warn

    public final void warn(String format,
                           Object arg1)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the argument

### warn

    public final void warn(String format,
                           Object arg1,
                           Object arg2)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the first argument
    `arg2` - the second argument

### warn

    public final void warn(String format,
                           Object... argArray)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `argArray` - a list of 3 or more arguments

### warn

    public final void warn(String msg,
                           Throwable t)

  A NOP implementation.

  Parameters:
    `msg` - the message accompanying the exception
    `t` - the exception (throwable) to log

### isErrorEnabled

    public final boolean isErrorEnabled()

  A NOP implementation.

  Returns:
    True if this Logger is enabled for the ERROR level, false otherwise.

### error

    public final void error(String msg)

  A NOP implementation.

  Parameters:
    `msg` - the message string to be logged

### error

    public final void error(String format,
                            Object arg1)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the argument

### error

    public final void error(String format,
                            Object arg1,
                            Object arg2)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `arg1` - the first argument
    `arg2` - the second argument

### error

    public final void error(String format,
                            Object... argArray)

  A NOP implementation.

  Parameters:
    `format` - the format string
    `argArray` - a list of 3 or more arguments

### error

    public final void error(String msg,
                            Throwable t)

  A NOP implementation.

  Parameters:
    `msg` - the message accompanying the exception
    `t` - the exception (throwable) to log

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Replace this instance with a homonymous (same name) logger returned by LoggerFactory. Note that this method is only called during deserialization.

  This approach will work well if the desired ILoggerFactory is the one references by LoggerFactory. However, if the user manages its logger hierarchy through a different (non-static) mechanism, e.g. dependency injection, then this approach would be mostly counterproductive.

  Returns:
    logger with same name as returned by LoggerFactory
  Throws:
    `ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.